Skip to main content
Resource Center/Elastic Bare Metal Management(Plus)

UpdateBareMetal2Instance

UpdateBareMetal2Instance

PUT/v1/baremetal2/bm-instances/{uuid}/action

Operation ID

UpdateBareMetal2Instance

Since

4.0.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Path Parameters

  • uuid
    StringRequired

    The bare metal instance UUID.

Body Fields

  • name
    String

    Optional. The bare metal instance name.

  • description
    String

    Optional. The detailed description of the bare metal instance.

  • state
    String

    Optional. The running state of the bare metal instance.

  • chassisOfferingUuid
    String

    Optional. The chassis offering UUID.

  • defaultL3NetworkUuid
    String

    Optional. The default L3 network UUID.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventory
    BareMetal2InstanceInventoryRequired

    See inventory.

    • chassisUuid
      StringRequired

      The UUID of the bare metal chassis.

    • lastChassisUuid
      StringRequired

      The UUID of the bare metal chassis where the instance last resides.

    • gatewayUuid
      StringRequired

      The gateway UUID.

    • lastGatewayUuid
      StringRequired

      The UUID of the last gateway.

    • chassisOfferingUuid
      StringRequired

      The chassis offering UUID.

    • gatewayAllocatorStrategy
      StringRequired

      The gateway allocation policy.

    • status
      StringRequired

      The connection status of the bare metal instance.

    • uuid
      StringRequired

      The UUID of the bare metal instance.

    • name
      StringRequired

      The bare metal instance name.

    • description
      StringRequired

      The detailed description of the bare metal instance.

    • zoneUuid
      StringRequired

      The zone UUID.

    • clusterUuid
      StringRequired

      The cluster UUID.

    • imageUuid
      StringRequired

      The image UUID.

    • rootVolumeUuid
      StringRequired

      The root volume UUID

    • platform
      StringRequired

      The platform type.

    • defaultL3NetworkUuid
      StringRequired

      The UUID of the default L3 network.

    • type
      StringRequired

      The type of the bare metal instance.

    • hypervisorType
      StringRequired

      The virtualization type.

    • memorySize
      LongRequired

      The memory size.

    • cpuNum
      IntegerRequired

      The number of CPU cores.

    • cpuSpeed
      LongRequired

      The processing speed of the CPU.

    • createDate
      TimestampRequired

      The time when the bare metal instance was created.

    • lastOpDate
      TimestampRequired

      The time when the bare metal instance was last modified.

    • state
      StringRequired

      The state of the bare metal instance.

    • provisionNic
      BareMetal2InstanceProvisionNicInventoryRequired

      See provisionNic.

      • uuid
        StringRequired

        The UUID of the NIC that is in the deployment network.

      • networkUuid
        StringRequired

        The deployment network UUID.

      • mac
        StringRequired

        The name of the NIC.

      • ip
        StringRequired

        The IP address of the NIC.

      • netmask
        StringRequired

        The netmask of the NIC.

      • gateway
        StringRequired

        The gateway IP address.

      • metadata
        StringRequired

        The metadata.

      • createDate
        TimestampRequired

        The time when the NIC was created.

      • lastOpDate
        TimestampRequired

        The time when the NIC was last modified.

    • vmNics
      ListRequired

      See vmNics.

      • uuid
        StringRequired

        The UUID of the NIC of the bare metal instance.

      • vmInstanceUuid
        StringRequired

        The UUID of the VM instance.

      • l3NetworkUuid
        StringRequired

        The L3 network UUID.

      • ip
        StringRequired

        The IP address of the NIC.

      • mac
        StringRequired

        The MAC address of the NIC.

      • hypervisorType
        StringRequired

        The virtualization type.

      • netmask
        StringRequired

        The netmask of the NIC.

      • gateway
        StringRequired

        The gateway IP address.

      • metaData
        StringRequired

        The metadata.

      • ipVersion
        IntegerRequired

        The version of the IP address.

      • deviceId
        IntegerRequired

        The device ID.

      • type
        StringRequired

        The NIC type.

      • createDate
        TimestampRequired

        The time when the NIC was created.

      • lastOpDate
        TimestampRequired

        The time when the NIC was last modified.

      • usedIps
        ListRequired

        See usedIps.

        • uuid
          StringRequired

          The UUID of the IP address.

        • ipRangeUuid
          StringRequired

          The IP range UUID.

        • l3NetworkUuid
          StringRequired

          The L3 network UUID.

        • ipVersion
          IntegerRequired

          The IP version.

        • ip
          StringRequired

          The IP address.

        • netmask
          StringRequired

          The netmask of the IP address.

        • gateway
          StringRequired

          The gateway IP address.

        • usedFor
          StringRequired

          The intended use.

        • ipInLong
          longRequired

          The IP address represented as a long integer.

        • vmNicUuid
          StringRequired

          The NIC UUID.

        • createDate
          TimestampRequired

          The time when the IP address was created.

        • lastOpDate
          TimestampRequired

          The time when the IP address was last modified.

    • allVolumes
      ListRequired

      See allVolumes.

      • uuid
        StringRequired

        The volume UUID.

      • name
        StringRequired

        The volume name.

      • description
        StringRequired

        The detailed description of the volume.

      • primaryStorageUuid
        StringRequired

        The primary storage UUID.

      • vmInstanceUuid
        StringRequired

        The VM instance UUID.

      • diskOfferingUuid
        StringRequired

        The volume offering UUID.

      • rootImageUuid
        StringRequired

        The root image UUID.

      • installPath
        StringRequired

        The installation path of the volume in the primary storage.

      • type
        StringRequired

        The type of the volume.

      • format
        StringRequired

        The format of the volume.

      • size
        LongRequired

        The size of the volume.

      • actualSize
        LongRequired

        The actual storage space that the volume takes up.

      • deviceId
        IntegerRequired

        The device ID.

      • state
        StringRequired

        The state of the volume.

      • status
        StringRequired

        The status of the volume.

      • createDate
        TimestampRequired

        The time when the volume was created.

      • lastOpDate
        TimestampRequired

        The time when the volume was last modified.

      • isShareable
        BooleanRequired

        Indicates whether the volume is shareable.

      • volumeQos
        StringRequired

        The QoS of the volume, for example, 1048576.